Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform
Class TransformerFactory

    java.lang.Object
      |
      +--javax.xml.transform.TransformerFactory

Direct Known Subclasses:
  SAXTransformerFactory

public abstract class TransformerFactory
extends java.lang.Object

Abstract class extended by implementations.

Version:
  1.0
Author:
  Andrew Selkirk, David Brownell

Constructor Summary
`protected` | `TransformerFactory()` Constructor, for use by subclasses.

Method Summary
`abstract Source` | `getAssociatedStylesheet(Source source, java.lang.String media, java.lang.String title, java.lang.String charset)` Returns an object encapsulating the <?xml-stylesheet ?> processing instruction from the document that matches the specified criteria.
`abstract java.lang.Object` | `getAttribute(java.lang.String name)` Returns an implementation-specific attribute
`abstract ErrorListener` | `getErrorListener()` Returns the ErrorListener used when parsing stylesheets.
`abstract boolean` | `getFeature(java.lang.String name)` Exposes capabilities of the underlying implementation.
`abstract URIResolver` | `getURIResolver()` Returns the URIResolver used when parsing stylesheets.
`static TransformerFactory` | `newInstance()` Returns a new TransformerFactory.
`abstract Templates` | `newTemplates(Source stylesheet)` Returns a pre-compiled stylesheet.
`abstract Transformer` | `newTransformer()` Returns a transformer that performs the null transform.
`abstract Transformer` | `newTransformer(Source stylesheet)` Returns a transformer making a specified transform.
`abstract void` | `setAttribute(java.lang.String name, java.lang.Object value)` Assigns an implementation-specific attribute
`abstract void` | `setErrorListener(ErrorListener listener)` Assigns the ErrorListener used when parsing stylesheets.
`abstract void` | `setURIResolver(URIResolver resolver)` Assigns the URIResolver used when parsing stylesheets.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformerFactory

    protected TransformerFactory()

  Constructor, for use by subclasses.

Method Detail

### getAssociatedStylesheet

    public abstract Source getAssociatedStylesheet(Source source,
                                                   java.lang.String media,
                                                   java.lang.String title,
                                                   java.lang.String charset)
                                            throws TransformerConfigurationException

  Returns an object encapsulating the <?xml-stylesheet ?> processing instruction from the document that matches the specified criteria.

### getAttribute

    public abstract java.lang.Object getAttribute(java.lang.String name)
                                           throws java.lang.IllegalArgumentException

  Returns an implementation-specific attribute

### getErrorListener

    public abstract ErrorListener getErrorListener()

  Returns the ErrorListener used when parsing stylesheets.

### getFeature

    public abstract boolean getFeature(java.lang.String name)

  Exposes capabilities of the underlying implementation. Examples include SAXSource.FEATURE and DOMResult.FEATURE.

### getURIResolver

    public abstract URIResolver getURIResolver()

  Returns the URIResolver used when parsing stylesheets.

### newInstance

    public static TransformerFactory newInstance()
                                          throws TransformerFactoryConfigurationError

  Returns a new TransformerFactory. The name of this class is found by checking, in order: the javax.xml.transform.TransformerFactory system property, $JAVA_HOME/lib/jaxp.properties for the key with that same name, JAR files in the class path with a META-INF/services file with that same name, else the compiled-in platform default.

### newTemplates

    public abstract Templates newTemplates(Source stylesheet)
                                    throws TransformerConfigurationException

  Returns a pre-compiled stylesheet.
  Parameters:
    `stylesheet` - XSLT stylesheet specifying transform

### newTransformer

    public abstract Transformer newTransformer()
                                        throws TransformerConfigurationException

  Returns a transformer that performs the null transform.

### newTransformer

    public abstract Transformer newTransformer(Source stylesheet)
                                        throws TransformerConfigurationException

  Returns a transformer making a specified transform.
  Parameters:
    `stylesheet` - XSLT stylesheet specifying transform

### setAttribute

    public abstract void setAttribute(java.lang.String name,
                                      java.lang.Object value)
                               throws java.lang.IllegalArgumentException

  Assigns an implementation-specific attribute

### setErrorListener

    public abstract void setErrorListener(ErrorListener listener)
                                   throws java.lang.IllegalArgumentException

  Assigns the ErrorListener used when parsing stylesheets.

### setURIResolver

    public abstract void setURIResolver(URIResolver resolver)

  Assigns the URIResolver used when parsing stylesheets.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.